> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Model Tier

> Create a model tier: a named main model with fallbacks that builders pick.



## OpenAPI

````yaml POST /v1/platform-model-tiers
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/platform-model-tiers:
    post:
      tags:
        - ai-model-tiers
      description: >-
        Create a model tier: a named main model with fallbacks that builders
        pick.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 40
                emoji:
                  type: string
                  minLength: 1
                  maxLength: 16
                  pattern: ^(\p{Extended_Pictographic}|\p{Regional_Indicator})
                description:
                  anyOf:
                    - type: string
                      maxLength: 120
                    - type: 'null'
                entries:
                  minItems: 1
                  maxItems: 5
                  type: array
                  items:
                    type: object
                    properties:
                      configId:
                        type: string
                        pattern: ^[0-9a-zA-Z]{21}$
                      modelId:
                        type: string
                        minLength: 1
                        maxLength: 256
                    required:
                      - configId
                      - modelId
                thinkingBudget:
                  anyOf:
                    - type: integer
                      minimum: -9007199254740991
                      maximum: 64000
                    - type: 'null'
              required:
                - name
                - emoji
                - entries
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  created:
                    type: string
                  updated:
                    type: string
                  platformId:
                    type: string
                    pattern: ^[0-9a-zA-Z]{21}$
                  name:
                    type: string
                  emoji:
                    type: string
                  description:
                    anyOf:
                      - type: string
                      - type: 'null'
                  position:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  entries:
                    type: array
                    items:
                      type: object
                      properties:
                        configId:
                          type: string
                          pattern: ^[0-9a-zA-Z]{21}$
                        modelId:
                          type: string
                          minLength: 1
                          maxLength: 256
                      required:
                        - configId
                        - modelId
                      additionalProperties: false
                  isDefault:
                    type: boolean
                  isFast:
                    type: boolean
                  thinkingBudget:
                    anyOf:
                      - type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      - type: 'null'
                  deleted:
                    anyOf:
                      - type: string
                      - type: 'null'
                  replacedBy:
                    anyOf:
                      - type: string
                        pattern: ^[0-9a-zA-Z]{21}$
                      - type: 'null'
                required:
                  - id
                  - created
                  - updated
                  - platformId
                  - name
                  - emoji
                  - position
                  - entries
                  - isDefault
                  - isFast
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.